On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsThe ID of the agreement to execute.
application/json
application/json
curl -X POST "https://api-m.paypal.com/v1/payments/billing-agreements/string/agreement-execute"{
"id": "string",
"state": "Pending",
"description": "string",
"start_date": "2019-08-24T14:15:22Z",
"agreement_details": {
"cycles_remaining": "string",
"cycles_completed": "string",
"next_billing_date": "string",
"last_payment_date": "string",
"final_payment_date": "string",
"failed_payment_count": "string",
"outstanding_balance": {
"value": "string",
"currency": {}
},
"last_payment_amount": {
"value": "string",
"currency": {}
}
},
"payer": {
"payment_method": "bank",
"funding_instruments": [
{
"credit_card": {
"id": "string",
"number": "string",
"type": "string",
"expire_month": 0,
"expire_year": 0,
"cvv2": 0,
"first_name": "string",
"last_name": "string",
"external_customer_id": "string",
"state": "expired",
"valid_until": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"billing_address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"country_code": "st",
"postal_code": "string"
}
}
}
],
"funding_option_id": "string",
"payer_info": {
"email": "user@example.com",
"first_name": "string",
"last_name": "string",
"payer_id": "string",
"shipping_address": {
"recipient_name": "string",
"default_address": true,
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"country_code": "st",
"postal_code": "string"
},
"billing_address": {
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"country_code": "st",
"postal_code": "string"
}
}
},
"override_merchant_preferences": {
"id": "string",
"cancel_url": "http://example.com",
"return_url": "http://example.com",
"max_fail_attempts": "string",
"auto_bill_amount": "YES",
"initial_fail_amount_action": "CONTINUE",
"accepted_payment_type": "string",
"char_set": "string",
"setup_fee": {
"value": "string",
"currency": {}
}
},
"override_charge_models": [
{
"charge_id": "string",
"amount": {
"value": "string",
"currency": {}
}
}
],
"plan": {
"id": "string",
"name": "string",
"description": "string",
"type": "FIXED",
"state": "CREATED",
"create_time": "string",
"update_time": "string",
"payment_definitions": [
{
"id": "string",
"name": "string",
"type": "TRIAL",
"frequency_interval": "string",
"frequency": "string",
"cycles": "string",
"charge_models": [
{
"id": "string",
"type": "TAX",
"amount": {
"value": "string",
"currency": {}
}
}
],
"amount": {
"value": "string",
"currency": {}
}
}
],
"terms": [
{
"id": "string",
"type": "string",
"occurrences": "string",
"buyer_editable": "string",
"max_billing_amount": {
"value": "string",
"currency": {}
},
"amount_range": {
"value": "string",
"currency": {}
}
}
],
"merchant_preferences": {
"id": "string",
"cancel_url": "http://example.com",
"return_url": "http://example.com",
"max_fail_attempts": "string",
"auto_bill_amount": "YES",
"initial_fail_amount_action": "CONTINUE",
"accepted_payment_type": "string",
"char_set": "string",
"setup_fee": {
"value": "string",
"currency": {}
}
},
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"currency_code": {}
},
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
],
"shipping_address": {
"recipient_name": "string",
"default_address": true,
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"country_code": "st",
"postal_code": "string"
}
}{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}